﻿@model MakePaymentViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="cancelAction()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-show="Model.IsEdit == false">
                Take Payment
            </h1>
            <h1 ng-show="Model.IsEdit == true">
                Edit Payment
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix">

    </div>
    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                <div class="avatar-box">
                    <i ng-class="{'jbi-user-male':Model.OrderItem.Gender == 'Male', 'jbi-user-female': Model.OrderItem.Gender == 'Female','jbi-user-male':Model.OrderItem.Gender ===null}"></i>
                </div>
                <div class="info-box">
                    <h2 class="name ellipsis" ng-if="Model.HasProgramScheduleId==true"><span ng-bind="Model.OrderItem.FullName">Participant Name</span></h2>
                    <h2 class="name ellipsis" ng-if="Model.HasProgramScheduleId==false"><span ng-bind="Model.OrderItem.Name">Participant Name</span></h2>
                    <p class="desc">{{Model.OrderItem.Gender}} <span ng-if="Model.OrderItem.Age != 0 && Model.OrderItem.Age != 'undefined'"> {{Model.OrderItem.Age}} </span> <span ng-if="Model.OrderItem.Grade">| Grade {{Model.OrderItem.Grade}}</span></p>
                </div>
            </div>
        </div>
        <div class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-half">
                <b>Confirmation</b>
                <i ng-bind="Model.OrderItem.ConfirmationId"></i>
            </div>
            <div class="place-left one-half" ng-class="{ 'fg-green' : Model.OrderItem.Balance < 0 , 'fg-red' : Model.OrderItem.Balance > 0}">
                <b>Balance</b>
                <i class="balance" ng-bind="(Model.OrderItem.Balance).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>


    <div class="clearfix"></div>
    <div id="newPayment" style="position:relative">
        <fieldset>
            <legend>{{pageTitle}}</legend>
            <label ng-show="Model.HasInstallment ">Select the installments you want to take a payment for</label>
            <span class="place-right program-days-error">@Html.AngValidation("selectedInstallment")</span>
            <div id="orderInstallment" ng-show="Model.HasInstallment ">
                <table class="table hovered display-dots-on-hover" style="word-wrap:break-word; table-layout: fixed;">
                    <colgroup>
                        <col style="width:35px;" />
                    </colgroup>
                    <thead>
                        <tr>
                            <th class="text-left"></th>
                            <th class="text-left">Due date</th>
                            <th class="text-left">Amount</th>
                            <th class="text-left">Balance</th>
                            <th class="text-left">Last paid date</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr ng-repeat="inst in Model.Installments">
                            <td>
                                <div ng-click="changeMaxAmount(Model.SelectedChargeMethod)" class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control" ng-show="inst.Balance > 0 || (inst.Balance == 0 && inst.IsBelongTo)">
                                    <label class="block">
                                        <input ng-model="inst.IsSelected" name="instSelected" ng-value="true" type="checkbox" ng-change="calculateBalance(inst.OldBalance,inst.IsSelected)" />
                                        <span class="check"></span>
                                    </label>
                                </div>
                            </td>
                            <td>{{inst.StrInstallmentDate}}</td>
                            <td>{{(inst.Amount).formatCurrencyWithPenny(2)}}</td>
                            <td>{{(inst.Balance).formatCurrencyWithPenny(2)}}</td>
                            <td>{{inst.StrPaidDate}}</td>


                        </tr>
                    </tbody>
                </table>

            </div>
        </fieldset>

        <label class="req-star">Amount (enter an amount up to <span class="fg-red" id="max-amount">{{(maxAmount).formatCurrencyWithPenny(2)}}</span>)</label>
       
        <div class="price-box">
            <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.Amount)>
                <input ng-model="@Html.Ang(m => m.Amount)" type="text" @Html.AngTooltipValidationFor(model => model.Amount) />
            </div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="Model.IsEdit == false">
            <label>How would you like to take this payment?</label>
            <div class="input-control radio show default-style no-margin padding-right50 block" data-role="input-control" ng-repeat="chargeMethod in Model.ChargeMethodList">
                <label ng-hide="chargeMethod.Value=='1' && Model.AvailableCredit <= 0">
                    <input ng-model="Model.SelectedChargeMethod" ng-value="chargeMethod.Value" type="radio" ng-click="changeMaxAmount(chargeMethod.Value)" />
                    <span class="check"></span>
                    {{chargeMethod.Text}} <span ng-if="chargeMethod.Value=='1'">(<span class="fg-green">{{(Model.AvailableCredit).formatCurrencyWithPenny(2)}}</span>)</span>
                </label>
            </div>
        </div>
        <label class="req-star" ng-show="Model.SelectedChargeMethod == '0'">Payment method</label>
        <div class="input-control select" data-role="input-control" ng-show="Model.SelectedChargeMethod=='0'" @Html.AngValidationClassFor(model => model.SelectedPaymentMethod)>
            <div @Html.AngTooltipValidationFor(model => model.SelectedPaymentMethod)>
                <select ng-options="obj.Value as obj.Text for obj in Model.PaymentMethods"
                        ng-model="@Html.Ang(m => m.SelectedPaymentMethod)"></select>
            </div>
        </div>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment date</label>
        <div class="input-control date-time" ng-show="Model.SelectedChargeMethod=='0'" class="req-star" @Html.AngValidationClassFor(model => model.PaymentDate)>
            <input kendo-date-picker ng-model="@Html.Ang(m => m.PaymentDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" @Html.AngTooltipValidationFor(model => model.PaymentDate) />
        </div>
        <label ng-show="Model.SelectedChargeMethod=='0'">Transaction/Check ID</label>
        <div ng-show="Model.SelectedChargeMethod=='0'" class="input-control text" data-role="i`nput-control" @Html.AngValidationClassFor(model => model.CheckId)>
            <input ng-model="@Html.Ang(m => m.CheckId)" type="text" @Html.AngTooltipValidationFor(model => model.CheckId) />
        </div>
        <label>Memo</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Note)>
            <input ng-model="@Html.Ang(m => m.Note)" type="text" @Html.AngTooltipValidationFor(model => model.Note) />
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="button" class="success place-right large button" data-ng-click="confirmPayment()">Continue</button>
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Cancel</button>

    <div class="clearfix"></div>

</div>

